ext/html; charset=UTF-8
Last-Modified: Mon, 06 Oct 2025 21:03:53 GMT
Expires: Thu, 04 Oct 2035 21:03:53 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>Make nametags white again - minetest.git - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/build/android/src/net?h=gpcf' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf' selected='selected'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=gpcf'>about</a><a href='/minetest.git/?h=gpcf'>summary</a><a href='/minetest.git/refs/?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>refs</a><a href='/minetest.git/log/build/android/src/net?h=gpcf'>log</a><a href='/minetest.git/tree/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>tree</a><a class='active' href='/minetest.git/commit/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>commit</a><a href='/minetest.git/diff/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/build/android/src/net'>
<input type='hidden' name='h' value='gpcf'/><input type='hidden' name='id' value='23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/commit/?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>root</a>/<a href='/minetest.git/commit/build?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>build</a>/<a href='/minetest.git/commit/build/android?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>android</a>/<a href='/minetest.git/commit/build/android/src?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>src</a>/<a href='/minetest.git/commit/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>net</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='gpcf'/><input type='hidden' name='id' value='23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selecttarget=android-10
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-10-06 21:03:53 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
'25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>est31 &lt;MTest31@outlook.com&gt;</td><td class='right'>2015-05-18 21:01:57 +0200</td></tr>
<tr><th>committer</th><td>est31 &lt;MTest31@outlook.com&gt;</td><td class='right'>2015-05-18 21:11:41 +0200</td></tr>
<tr><th>commit</th><td colspan='2' class='oid'><a href='/minetest.git/commit/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>23984ef7f0c13f6ae011587ba0488b9ea1bb64f8</a> (<a href='/minetest.git/patch/build/android/src/net?id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='oid'><a href='/minetest.git/tree/?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>5c40ae70c54e237eab0d55b2d55b0d61b70dfeb9</a> /<a href='/minetest.git/tree/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>build/android/src/net</a></td></tr>
<tr><th>parent</th><td colspan='2' class='oid'><a href='/minetest.git/commit/build/android/src/net?h=gpcf&amp;id=20aa78cffb6594ff8fdea4291f18d1a8bd252529'>20aa78cffb6594ff8fdea4291f18d1a8bd252529</a> (<a href='/minetest.git/diff/build/android/src/net?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8&amp;id2=20aa78cffb6594ff8fdea4291f18d1a8bd252529'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='oid'><a href='/minetest.git/snapshot/minetest-23984ef7f0c13f6ae011587ba0488b9ea1bb64f8.tar.gz'>minetest-23984ef7f0c13f6ae011587ba0488b9ea1bb64f8.tar.gz</a><br/><a href='/minetest.git/snapshot/minetest-23984ef7f0c13f6ae011587ba0488b9ea1bb64f8.tar.bz2'>minetest-23984ef7f0c13f6ae011587ba0488b9ea1bb64f8.tar.bz2</a><br/><a href='/minetest.git/snapshot/minetest-23984ef7f0c13f6ae011587ba0488b9ea1bb64f8.zip'>minetest-23984ef7f0c13f6ae011587ba0488b9ea1bb64f8.zip</a><br/></td></tr></table>
<div class='commit-subject'>Make nametags white again</div><div class='commit-msg'>Commit 11a96e4901ce54c4646e47866f7a66cd9034c16b
commented out version parsing, resulting in the version byte being parsed as part of the color,
making nametags dark grey.
Re-introduces version parsing and ignores the packet if the version is more recent than ours,
fixing the unused variable warning (should have been done anyway).
</div><div class='diffstat-header'><a href='/minetest.git/diff/?h=gpcf&amp;id=23984ef7f0c13f6ae011587ba0488b9ea1bb64f8'>Diffstat</a> (limited to 'build/android/src/net')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-10-06 21:03:53 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
